class UnknownGatewayError(Exception):
    pass


class AbstractGateway:
    @staticmethod
    def process_transaction(transaction):
        raise NotImplementedError

    @staticmethod
    def process_callback(transaction):
        raise NotImplementedError
